Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class JSNavigatorBar

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl
oracle.jdeveloper.html.DataWebBeanImpl
oracle.jbo.html.DataWebBeanImpl
oracle.jbo.html.databeans.RowsetNavigator
oracle.jbo.html.databeans.BaseNavigatorBar
oracle.jbo.html.databeans.JSNavigatorBar`

All Implemented Interfaces:
  DataWebBean, DataWebBean, WebBean, WebBean

public class JSNavigatorBar
extends BaseNavigatorBar

Field Summary

Fields inherited from class oracle.jbo.html.databeans.BaseNavigatorBar
`bShowNavigationButtons, buttons, ImageDir, isDetailMode, NAVIGATE_BASE, NAVIGATE_BROWSE, NAVIGATE_COMMIT, NAVIGATE_DELETE, NAVIGATE_EDIT, NAVIGATE_FINDFORM, NAVIGATE_FIRST, NAVIGATE_INSERT, NAVIGATE_LAST, NAVIGATE_NEXT, NAVIGATE_NEXT_PAGE, NAVIGATE_PREVIOUS, NAVIGATE_PREVIOUS_PAGE, NAVIGATE_ROLLBACK, NAVIGATE_VIEW, sTargetUrl`

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`amName, bReleaseApplication, dispAttrs, ds`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, bUsedInTag, out, page, request, response, session`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`JSNavigatorBar()`

Method Summary
`JSToolbar` | `getContainer()`
`void` | `internalInitialize()` Initializes the `EditForm` object to have access to the important objects of the JSP.
`void` | `populateToolBarFromCommands()`
`void` | `render()` Renders the HTML toolbar on the JSP page.

Methods inherited from class oracle.jbo.html.databeans.BaseNavigatorBar
`addButton, addButton, addButton, addDefaultEntries, addSeparator, createToolBarButtonForCommand, getButton, getImageDir, getTargetUrl, isDetailMode, setDetailMode, setImageDir, setShowNavigationButtons, setTargetUrl, showNavigationButtons`

Methods inherited from class oracle.jbo.html.databeans.RowsetNavigator
`execute, getAutoExecute, setAutoExecute`

Methods inherited from class oracle.jbo.html.DataWebBeanImpl
`initialize, setUsedInTag`

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRequest, getRequestVariable, getRequestVariable, getUniqueName, initBeanForJS, initBeanForJS, initBeanForJS, initialize, initialize, initialize, render, setRequestVariable, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jdeveloper.html.DataWebBean
`clearDisplayAttributes, getApplicationName, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowSet, getViewObjectName, handleCommit, initialize, initialize, isAppStateful, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from interface oracle.jdeveloper.html.WebBean
`initialize, initialize, render`

Constructor Detail

### JSNavigatorBar

    public JSNavigatorBar()

Method Detail

### getContainer

    public JSToolbar getContainer()

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from class: `BaseNavigatorBar`
  Initializes the `EditForm` object to have access to the important objects of the JSP.

  The value of the `sRowSet` parameter has the format Package_AppModule.ViewObject and refers to the property file used to create the Application Module and the View Object name. For example, if you see the following entry for the `sRowSet` parameter:

  `initialize(.., "package3_AppModule1.DeptView");`

  The Data Web Bean will try and find `package3_AppModule1.properties` in the CLASSPATH to create the Application Module. This is done only once per session. Once the Application module is instantiated, the Data Web Bean locates the View Object by calling the `findViewObject('DeptView')` on the Application Module. You can see the implementation by looking at `JSPApplicationRegistry.java` in the `jbohtmlsrc.zip` file in the JDeveloper`\lib` directory.

  // * @param application the JSP page's ServletContext. // * @param session the JSP page's HttpSession. // * @param request the JSP page's HttpServletRequest. // * @param response the JSP page's HttpServletResponse. // * @param out the JSP page's JspWriter. // * @param sRowSet the name of the application's property file // * and View Object. // * // *

  Specified by:
    `internalInitialize` in interface `WebBean`
  Overrides:
    `internalInitialize` in class `BaseNavigatorBar`
  Throws:
    `java.lang.Exception`

### populateToolBarFromCommands

    public void populateToolBarFromCommands()

  Specified by:
    `populateToolBarFromCommands` in class `BaseNavigatorBar`

### render

    public void render()
                throws java.lang.Exception

  Renders the HTML toolbar on the JSP page. This method is the main entry point where the rendering of the toolbar actually happens.
  Specified by:
    `render` in interface `WebBean`
  Overrides:
    `render` in class `BaseNavigatorBar`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.